TestData_Create
POST
/v1/TestData
const url = 'https://rms.dev.caspeco.net/api/booking/v1/TestData';const options = { method: 'POST', headers: { system: 'example', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"companyId":"example","startTime":"2026-04-15T12:00:00Z","endTime":"2026-04-15T12:00:00Z","fillRestaurantWithBookings":1,"intervalInMinutes":1,"numberOfBookingsPerInterval":1,"unitId":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://rms.dev.caspeco.net/api/booking/v1/TestData \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'system: example' \ --data '{ "companyId": "example", "startTime": "2026-04-15T12:00:00Z", "endTime": "2026-04-15T12:00:00Z", "fillRestaurantWithBookings": 1, "intervalInMinutes": 1, "numberOfBookingsPerInterval": 1, "unitId": 1 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
companyId
string format: guid
startTime
string format: date-time
endTime
string format: date-time
fillRestaurantWithBookings
integer format: int32
intervalInMinutes
integer format: int32
numberOfBookingsPerInterval
integer format: int32
unitId
integer format: int32
Examplegenerated
{ "companyId": "example", "startTime": "2026-04-15T12:00:00Z", "endTime": "2026-04-15T12:00:00Z", "fillRestaurantWithBookings": 1, "intervalInMinutes": 1, "numberOfBookingsPerInterval": 1, "unitId": 1}Responses
Section titled “Responses”Media typeapplication/json
object
companyId
string format: guid
startTime
string format: date-time
endTime
string format: date-time
fillRestaurantWithBookings
integer format: int32
intervalInMinutes
integer format: int32
numberOfBookingsPerInterval
integer format: int32
unitId
integer format: int32
Examplegenerated
{ "companyId": "example", "startTime": "2026-04-15T12:00:00Z", "endTime": "2026-04-15T12:00:00Z", "fillRestaurantWithBookings": 1, "intervalInMinutes": 1, "numberOfBookingsPerInterval": 1, "unitId": 1}